For the complete documentation index, see llms.txt. This page is also available as Markdown.

Internal

Get user by embedded wallet

get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Path parameters
addressstringRequired

Ethereum address (0x-prefixed, 20 bytes)

Responses
200

Successful response

application/json
isValidatorbooleanRequired
validatorAcquiredAtstring · nullableRequired
verifierStatusstring · enumRequiredPossible values:
get/internal/users/embedded-wallet/{address}
GET /api/v2/internal/users/embedded-wallet/{address} HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "user": {
    "id": 1,
    "profileId": 1,
    "displayName": "text",
    "username": "text",
    "avatarUrl": "https://example.com",
    "description": "text",
    "score": 1,
    "status": "ACTIVE",
    "userkeys": [
      "text"
    ],
    "xpTotal": 1,
    "xpStreakDays": 1,
    "xpRemovedDueToAbuse": true,
    "influenceFactor": 1,
    "influenceFactorPercentile": 1,
    "humanVerificationStatus": "REQUESTED",
    "validatorNftCount": 1,
    "links": {
      "profile": "https://example.com",
      "scoreBreakdown": "https://example.com"
    },
    "stats": {
      "review": {
        "received": {
          "negative": 1,
          "neutral": 1,
          "positive": 1
        }
      },
      "vouch": {
        "given": {
          "amountWeiTotal": 1,
          "count": 1
        },
        "received": {
          "amountWeiTotal": 1,
          "count": 1
        }
      },
      "vouchTotals": [
        {
          "balance": {
            "given": 1,
            "received": 1
          },
          "count": {
            "given": 1,
            "received": 1
          },
          "token": {
            "address": "text",
            "decimals": 1,
            "id": "text"
          }
        }
      ]
    }
  },
  "profile": {
    "id": 1,
    "archived": true,
    "createdAt": 1,
    "updatedAt": 1,
    "invitesAvailable": 1,
    "invitedBy": 1
  },
  "inviterUser": {
    "id": 1,
    "profileId": 1,
    "displayName": "text",
    "username": "text",
    "avatarUrl": "https://example.com",
    "description": "text",
    "score": 1,
    "status": "ACTIVE",
    "userkeys": [
      "text"
    ],
    "xpTotal": 1,
    "xpStreakDays": 1,
    "xpRemovedDueToAbuse": true,
    "influenceFactor": 1,
    "influenceFactorPercentile": 1,
    "humanVerificationStatus": "REQUESTED",
    "validatorNftCount": 1,
    "links": {
      "profile": "https://example.com",
      "scoreBreakdown": "https://example.com"
    },
    "stats": {
      "review": {
        "received": {
          "negative": 1,
          "neutral": 1,
          "positive": 1
        }
      },
      "vouch": {
        "given": {
          "amountWeiTotal": 1,
          "count": 1
        },
        "received": {
          "amountWeiTotal": 1,
          "count": 1
        }
      },
      "vouchTotals": [
        {
          "balance": {
            "given": 1,
            "received": 1
          },
          "count": {
            "given": 1,
            "received": 1
          },
          "token": {
            "address": "text",
            "decimals": 1,
            "id": "text"
          }
        }
      ]
    }
  },
  "allAddresses": {
    "addresses": [
      "text"
    ],
    "primaryAddress": "text",
    "embeddedWallet": "text",
    "smartWallet": "text"
  },
  "attestations": [
    {
      "id": 1,
      "hash": "text",
      "archived": true,
      "profileId": 1,
      "service": "discord",
      "account": "text",
      "createdAt": 1,
      "extra": {
        "username": "text",
        "url": "https://example.com"
      }
    }
  ],
  "isValidator": true,
  "validatorAcquiredAt": "text",
  "verifierStatus": "verifier",
  "verifierRequirements": {
    "isHumanVerified": true,
    "meetsScoreThreshold": true
  },
  "xUsernameHistory": [
    {
      "username": "text",
      "changeObservedAt": "text"
    }
  ]
}

Get user by userkey

get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Path parameters
userkeystringRequired
Responses
200

Successful response

application/json
isValidatorbooleanRequired
validatorAcquiredAtstring · nullableRequired
verifierStatusstring · enumRequiredPossible values:
get/internal/users/{userkey}
GET /api/v2/internal/users/{userkey} HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "user": {
    "id": 1,
    "profileId": 1,
    "displayName": "text",
    "username": "text",
    "avatarUrl": "https://example.com",
    "description": "text",
    "score": 1,
    "status": "ACTIVE",
    "userkeys": [
      "text"
    ],
    "xpTotal": 1,
    "xpStreakDays": 1,
    "xpRemovedDueToAbuse": true,
    "influenceFactor": 1,
    "influenceFactorPercentile": 1,
    "humanVerificationStatus": "REQUESTED",
    "validatorNftCount": 1,
    "links": {
      "profile": "https://example.com",
      "scoreBreakdown": "https://example.com"
    },
    "stats": {
      "review": {
        "received": {
          "negative": 1,
          "neutral": 1,
          "positive": 1
        }
      },
      "vouch": {
        "given": {
          "amountWeiTotal": 1,
          "count": 1
        },
        "received": {
          "amountWeiTotal": 1,
          "count": 1
        }
      },
      "vouchTotals": [
        {
          "balance": {
            "given": 1,
            "received": 1
          },
          "count": {
            "given": 1,
            "received": 1
          },
          "token": {
            "address": "text",
            "decimals": 1,
            "id": "text"
          }
        }
      ]
    }
  },
  "profile": {
    "id": 1,
    "archived": true,
    "createdAt": 1,
    "updatedAt": 1,
    "invitesAvailable": 1,
    "invitedBy": 1
  },
  "inviterUser": {
    "id": 1,
    "profileId": 1,
    "displayName": "text",
    "username": "text",
    "avatarUrl": "https://example.com",
    "description": "text",
    "score": 1,
    "status": "ACTIVE",
    "userkeys": [
      "text"
    ],
    "xpTotal": 1,
    "xpStreakDays": 1,
    "xpRemovedDueToAbuse": true,
    "influenceFactor": 1,
    "influenceFactorPercentile": 1,
    "humanVerificationStatus": "REQUESTED",
    "validatorNftCount": 1,
    "links": {
      "profile": "https://example.com",
      "scoreBreakdown": "https://example.com"
    },
    "stats": {
      "review": {
        "received": {
          "negative": 1,
          "neutral": 1,
          "positive": 1
        }
      },
      "vouch": {
        "given": {
          "amountWeiTotal": 1,
          "count": 1
        },
        "received": {
          "amountWeiTotal": 1,
          "count": 1
        }
      },
      "vouchTotals": [
        {
          "balance": {
            "given": 1,
            "received": 1
          },
          "count": {
            "given": 1,
            "received": 1
          },
          "token": {
            "address": "text",
            "decimals": 1,
            "id": "text"
          }
        }
      ]
    }
  },
  "allAddresses": {
    "addresses": [
      "text"
    ],
    "primaryAddress": "text",
    "embeddedWallet": "text",
    "smartWallet": "text"
  },
  "attestations": [
    {
      "id": 1,
      "hash": "text",
      "archived": true,
      "profileId": 1,
      "service": "discord",
      "account": "text",
      "createdAt": 1,
      "extra": {
        "username": "text",
        "url": "https://example.com"
      }
    }
  ],
  "isValidator": true,
  "validatorAcquiredAt": "text",
  "verifierStatus": "verifier",
  "verifierRequirements": {
    "isHumanVerified": true,
    "meetsScoreThreshold": true
  },
  "xUsernameHistory": [
    {
      "username": "text",
      "changeObservedAt": "text"
    }
  ]
}

Get internal listings

get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Query parameters
userkeystringOptional
yearnumberOptional
periodnumberOptional
topMoversDaysnumber · min: 1 · max: 90OptionalDefault: 1
sparklineDaysnumber · min: 1 · max: 90Optional
deltaWindowsnumber[] · max: 5Optional
limitinteger · max: 100OptionalDefault: 50
offsetinteger · max: 2147483647OptionalDefault: 0
Responses
200

Successful response

application/json
totalnumberRequired
get/internal/listings
GET /api/v2/internal/listings HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "projects": [
    {
      "id": 1,
      "userkey": "text",
      "status": "ACTIVE",
      "bannerImageUrl": "https://example.com",
      "isPromoted": true,
      "showArchived": true,
      "description": "text",
      "createdAt": "text",
      "updatedAt": "text",
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "text"
              }
            }
          ]
        }
      },
      "votes": {
        "bullish": {
          "topVoters": [
            {
              "id": 1,
              "profileId": 1,
              "displayName": "text",
              "username": "text",
              "avatarUrl": "https://example.com",
              "description": "text",
              "score": 1,
              "status": "ACTIVE",
              "userkeys": [
                "text"
              ],
              "xpTotal": 1,
              "xpStreakDays": 1,
              "xpRemovedDueToAbuse": true,
              "influenceFactor": 1,
              "influenceFactorPercentile": 1,
              "humanVerificationStatus": "REQUESTED",
              "validatorNftCount": 1,
              "links": {
                "profile": "https://example.com",
                "scoreBreakdown": "https://example.com"
              },
              "stats": {
                "review": {
                  "received": {
                    "negative": 1,
                    "neutral": 1,
                    "positive": 1
                  }
                },
                "vouch": {
                  "given": {
                    "amountWeiTotal": 1,
                    "count": 1
                  },
                  "received": {
                    "amountWeiTotal": 1,
                    "count": 1
                  }
                },
                "vouchTotals": [
                  {
                    "balance": {
                      "given": 1,
                      "received": 1
                    },
                    "count": {
                      "given": 1,
                      "received": 1
                    },
                    "token": {
                      "address": "text",
                      "decimals": 1,
                      "id": "text"
                    }
                  }
                ]
              }
            }
          ],
          "total": 1,
          "uniqueVoters": 1
        },
        "bearish": {
          "topVoters": [
            {
              "id": 1,
              "profileId": 1,
              "displayName": "text",
              "username": "text",
              "avatarUrl": "https://example.com",
              "description": "text",
              "score": 1,
              "status": "ACTIVE",
              "userkeys": [
                "text"
              ],
              "xpTotal": 1,
              "xpStreakDays": 1,
              "xpRemovedDueToAbuse": true,
              "influenceFactor": 1,
              "influenceFactorPercentile": 1,
              "humanVerificationStatus": "REQUESTED",
              "validatorNftCount": 1,
              "links": {
                "profile": "https://example.com",
                "scoreBreakdown": "https://example.com"
              },
              "stats": {
                "review": {
                  "received": {
                    "negative": 1,
                    "neutral": 1,
                    "positive": 1
                  }
                },
                "vouch": {
                  "given": {
                    "amountWeiTotal": 1,
                    "count": 1
                  },
                  "received": {
                    "amountWeiTotal": 1,
                    "count": 1
                  }
                },
                "vouchTotals": [
                  {
                    "balance": {
                      "given": 1,
                      "received": 1
                    },
                    "count": {
                      "given": 1,
                      "received": 1
                    },
                    "token": {
                      "address": "text",
                      "decimals": 1,
                      "id": "text"
                    }
                  }
                ]
              }
            }
          ],
          "total": 1,
          "uniqueVoters": 1
        },
        "all": {
          "total": 1,
          "uniqueVoters": 1
        },
        "lifetime": {
          "bullish": {
            "topVoters": [
              {
                "id": 1,
                "profileId": 1,
                "displayName": "text",
                "username": "text",
                "avatarUrl": "https://example.com",
                "description": "text",
                "score": 1,
                "status": "ACTIVE",
                "userkeys": [
                  "text"
                ],
                "xpTotal": 1,
                "xpStreakDays": 1,
                "xpRemovedDueToAbuse": true,
                "influenceFactor": 1,
                "influenceFactorPercentile": 1,
                "humanVerificationStatus": "REQUESTED",
                "validatorNftCount": 1,
                "links": {
                  "profile": "https://example.com",
                  "scoreBreakdown": "https://example.com"
                },
                "stats": {
                  "review": {
                    "received": {
                      "negative": 1,
                      "neutral": 1,
                      "positive": 1
                    }
                  },
                  "vouch": {
                    "given": {
                      "amountWeiTotal": 1,
                      "count": 1
                    },
                    "received": {
                      "amountWeiTotal": 1,
                      "count": 1
                    }
                  },
                  "vouchTotals": [
                    {
                      "balance": {
                        "given": 1,
                        "received": 1
                      },
                      "count": {
                        "given": 1,
                        "received": 1
                      },
                      "token": {
                        "address": "text",
                        "decimals": 1,
                        "id": "text"
                      }
                    }
                  ]
                }
              }
            ],
            "total": 1
          },
          "bearish": {
            "topVoters": [
              {
                "id": 1,
                "profileId": 1,
                "displayName": "text",
                "username": "text",
                "avatarUrl": "https://example.com",
                "description": "text",
                "score": 1,
                "status": "ACTIVE",
                "userkeys": [
                  "text"
                ],
                "xpTotal": 1,
                "xpStreakDays": 1,
                "xpRemovedDueToAbuse": true,
                "influenceFactor": 1,
                "influenceFactorPercentile": 1,
                "humanVerificationStatus": "REQUESTED",
                "validatorNftCount": 1,
                "links": {
                  "profile": "https://example.com",
                  "scoreBreakdown": "https://example.com"
                },
                "stats": {
                  "review": {
                    "received": {
                      "negative": 1,
                      "neutral": 1,
                      "positive": 1
                    }
                  },
                  "vouch": {
                    "given": {
                      "amountWeiTotal": 1,
                      "count": 1
                    },
                    "received": {
                      "amountWeiTotal": 1,
                      "count": 1
                    }
                  },
                  "vouchTotals": [
                    {
                      "balance": {
                        "given": 1,
                        "received": 1
                      },
                      "count": {
                        "given": 1,
                        "received": 1
                      },
                      "token": {
                        "address": "text",
                        "decimals": 1,
                        "id": "text"
                      }
                    }
                  ]
                }
              }
            ],
            "total": 1
          }
        },
        "currentPeriod": {
          "bullish": {
            "total": 1
          },
          "bearish": {
            "total": 1
          }
        }
      },
      "categories": [
        {
          "id": 1,
          "name": "text",
          "slug": "text",
          "description": "text"
        }
      ],
      "chains": [
        {
          "id": 1,
          "name": "text",
          "url": "https://example.com",
          "iconUrl": "https://example.com"
        }
      ],
      "links": [
        {
          "type": "WEBSITE",
          "url": "https://example.com"
        }
      ],
      "commentCount": 1,
      "currentUserVote": {
        "voteType": "BULLISH"
      },
      "sentimentHistory": {
        "sparkline": [
          1
        ],
        "deltas": {
          "ANY_ADDITIONAL_PROPERTY": 1
        }
      }
    }
  ],
  "archivedProjects": [
    {
      "id": 1,
      "userkey": "text",
      "status": "ACTIVE",
      "bannerImageUrl": "https://example.com",
      "isPromoted": true,
      "showArchived": true,
      "description": "text",
      "createdAt": "text",
      "updatedAt": "text",
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "text"
              }
            }
          ]
        }
      },
      "votes": {
        "bullish": {
          "topVoters": [
            {
              "id": 1,
              "profileId": 1,
              "displayName": "text",
              "username": "text",
              "avatarUrl": "https://example.com",
              "description": "text",
              "score": 1,
              "status": "ACTIVE",
              "userkeys": [
                "text"
              ],
              "xpTotal": 1,
              "xpStreakDays": 1,
              "xpRemovedDueToAbuse": true,
              "influenceFactor": 1,
              "influenceFactorPercentile": 1,
              "humanVerificationStatus": "REQUESTED",
              "validatorNftCount": 1,
              "links": {
                "profile": "https://example.com",
                "scoreBreakdown": "https://example.com"
              },
              "stats": {
                "review": {
                  "received": {
                    "negative": 1,
                    "neutral": 1,
                    "positive": 1
                  }
                },
                "vouch": {
                  "given": {
                    "amountWeiTotal": 1,
                    "count": 1
                  },
                  "received": {
                    "amountWeiTotal": 1,
                    "count": 1
                  }
                },
                "vouchTotals": [
                  {
                    "balance": {
                      "given": 1,
                      "received": 1
                    },
                    "count": {
                      "given": 1,
                      "received": 1
                    },
                    "token": {
                      "address": "text",
                      "decimals": 1,
                      "id": "text"
                    }
                  }
                ]
              }
            }
          ],
          "total": 1,
          "uniqueVoters": 1
        },
        "bearish": {
          "topVoters": [
            {
              "id": 1,
              "profileId": 1,
              "displayName": "text",
              "username": "text",
              "avatarUrl": "https://example.com",
              "description": "text",
              "score": 1,
              "status": "ACTIVE",
              "userkeys": [
                "text"
              ],
              "xpTotal": 1,
              "xpStreakDays": 1,
              "xpRemovedDueToAbuse": true,
              "influenceFactor": 1,
              "influenceFactorPercentile": 1,
              "humanVerificationStatus": "REQUESTED",
              "validatorNftCount": 1,
              "links": {
                "profile": "https://example.com",
                "scoreBreakdown": "https://example.com"
              },
              "stats": {
                "review": {
                  "received": {
                    "negative": 1,
                    "neutral": 1,
                    "positive": 1
                  }
                },
                "vouch": {
                  "given": {
                    "amountWeiTotal": 1,
                    "count": 1
                  },
                  "received": {
                    "amountWeiTotal": 1,
                    "count": 1
                  }
                },
                "vouchTotals": [
                  {
                    "balance": {
                      "given": 1,
                      "received": 1
                    },
                    "count": {
                      "given": 1,
                      "received": 1
                    },
                    "token": {
                      "address": "text",
                      "decimals": 1,
                      "id": "text"
                    }
                  }
                ]
              }
            }
          ],
          "total": 1,
          "uniqueVoters": 1
        },
        "all": {
          "total": 1,
          "uniqueVoters": 1
        },
        "lifetime": {
          "bullish": {
            "topVoters": [
              {
                "id": 1,
                "profileId": 1,
                "displayName": "text",
                "username": "text",
                "avatarUrl": "https://example.com",
                "description": "text",
                "score": 1,
                "status": "ACTIVE",
                "userkeys": [
                  "text"
                ],
                "xpTotal": 1,
                "xpStreakDays": 1,
                "xpRemovedDueToAbuse": true,
                "influenceFactor": 1,
                "influenceFactorPercentile": 1,
                "humanVerificationStatus": "REQUESTED",
                "validatorNftCount": 1,
                "links": {
                  "profile": "https://example.com",
                  "scoreBreakdown": "https://example.com"
                },
                "stats": {
                  "review": {
                    "received": {
                      "negative": 1,
                      "neutral": 1,
                      "positive": 1
                    }
                  },
                  "vouch": {
                    "given": {
                      "amountWeiTotal": 1,
                      "count": 1
                    },
                    "received": {
                      "amountWeiTotal": 1,
                      "count": 1
                    }
                  },
                  "vouchTotals": [
                    {
                      "balance": {
                        "given": 1,
                        "received": 1
                      },
                      "count": {
                        "given": 1,
                        "received": 1
                      },
                      "token": {
                        "address": "text",
                        "decimals": 1,
                        "id": "text"
                      }
                    }
                  ]
                }
              }
            ],
            "total": 1
          },
          "bearish": {
            "topVoters": [
              {
                "id": 1,
                "profileId": 1,
                "displayName": "text",
                "username": "text",
                "avatarUrl": "https://example.com",
                "description": "text",
                "score": 1,
                "status": "ACTIVE",
                "userkeys": [
                  "text"
                ],
                "xpTotal": 1,
                "xpStreakDays": 1,
                "xpRemovedDueToAbuse": true,
                "influenceFactor": 1,
                "influenceFactorPercentile": 1,
                "humanVerificationStatus": "REQUESTED",
                "validatorNftCount": 1,
                "links": {
                  "profile": "https://example.com",
                  "scoreBreakdown": "https://example.com"
                },
                "stats": {
                  "review": {
                    "received": {
                      "negative": 1,
                      "neutral": 1,
                      "positive": 1
                    }
                  },
                  "vouch": {
                    "given": {
                      "amountWeiTotal": 1,
                      "count": 1
                    },
                    "received": {
                      "amountWeiTotal": 1,
                      "count": 1
                    }
                  },
                  "vouchTotals": [
                    {
                      "balance": {
                        "given": 1,
                        "received": 1
                      },
                      "count": {
                        "given": 1,
                        "received": 1
                      },
                      "token": {
                        "address": "text",
                        "decimals": 1,
                        "id": "text"
                      }
                    }
                  ]
                }
              }
            ],
            "total": 1
          }
        },
        "currentPeriod": {
          "bullish": {
            "total": 1
          },
          "bearish": {
            "total": 1
          }
        }
      },
      "categories": [
        {
          "id": 1,
          "name": "text",
          "slug": "text",
          "description": "text"
        }
      ],
      "chains": [
        {
          "id": 1,
          "name": "text",
          "url": "https://example.com",
          "iconUrl": "https://example.com"
        }
      ],
      "links": [
        {
          "type": "WEBSITE",
          "url": "https://example.com"
        }
      ],
      "commentCount": 1
    }
  ],
  "total": 1,
  "topMovers": [
    {
      "id": 1,
      "userkey": "text",
      "status": "ACTIVE",
      "bannerImageUrl": "https://example.com",
      "isPromoted": true,
      "showArchived": true,
      "description": "text",
      "createdAt": "text",
      "updatedAt": "text",
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "text"
              }
            }
          ]
        }
      },
      "categories": [
        {
          "id": 1,
          "name": "text",
          "slug": "text",
          "description": "text"
        }
      ],
      "chains": [
        {
          "id": 1,
          "name": "text",
          "url": "https://example.com",
          "iconUrl": "https://example.com"
        }
      ],
      "links": [
        {
          "type": "WEBSITE",
          "url": "https://example.com"
        }
      ],
      "commentCount": 1,
      "percentagePointChange": 1
    }
  ]
}

Get project details by username for listings page

get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Path parameters
usernamestringRequired
Query parameters
topVotersLimitnumber · max: 100OptionalDefault: 3
yearnumberOptional
periodnumberOptional
Responses
200

Successful response

application/json
get/internal/listings/{username}
GET /api/v2/internal/listings/{username} HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "project": {
    "id": 1,
    "userkey": "text",
    "status": "ACTIVE",
    "bannerImageUrl": "https://example.com",
    "isPromoted": true,
    "showArchived": true,
    "description": "text",
    "createdAt": "text",
    "updatedAt": "text",
    "user": {
      "id": 1,
      "profileId": 1,
      "displayName": "text",
      "username": "text",
      "avatarUrl": "https://example.com",
      "description": "text",
      "score": 1,
      "status": "ACTIVE",
      "userkeys": [
        "text"
      ],
      "xpTotal": 1,
      "xpStreakDays": 1,
      "xpRemovedDueToAbuse": true,
      "influenceFactor": 1,
      "influenceFactorPercentile": 1,
      "humanVerificationStatus": "REQUESTED",
      "validatorNftCount": 1,
      "links": {
        "profile": "https://example.com",
        "scoreBreakdown": "https://example.com"
      },
      "stats": {
        "review": {
          "received": {
            "negative": 1,
            "neutral": 1,
            "positive": 1
          }
        },
        "vouch": {
          "given": {
            "amountWeiTotal": 1,
            "count": 1
          },
          "received": {
            "amountWeiTotal": 1,
            "count": 1
          }
        },
        "vouchTotals": [
          {
            "balance": {
              "given": 1,
              "received": 1
            },
            "count": {
              "given": 1,
              "received": 1
            },
            "token": {
              "address": "text",
              "decimals": 1,
              "id": "text"
            }
          }
        ]
      }
    },
    "categories": [
      {
        "id": 1,
        "name": "text",
        "slug": "text",
        "description": "text"
      }
    ],
    "chains": [
      {
        "id": 1,
        "name": "text",
        "url": "https://example.com",
        "iconUrl": "https://example.com"
      }
    ],
    "links": [
      {
        "type": "WEBSITE",
        "url": "https://example.com"
      }
    ],
    "commentCount": 1
  },
  "topVoters": {
    "bullish": {
      "topVoters": [
        {
          "id": 1,
          "profileId": 1,
          "displayName": "text",
          "username": "text",
          "avatarUrl": "https://example.com",
          "description": "text",
          "score": 1,
          "status": "ACTIVE",
          "userkeys": [
            "text"
          ],
          "xpTotal": 1,
          "xpStreakDays": 1,
          "xpRemovedDueToAbuse": true,
          "influenceFactor": 1,
          "influenceFactorPercentile": 1,
          "humanVerificationStatus": "REQUESTED",
          "validatorNftCount": 1,
          "links": {
            "profile": "https://example.com",
            "scoreBreakdown": "https://example.com"
          },
          "stats": {
            "review": {
              "received": {
                "negative": 1,
                "neutral": 1,
                "positive": 1
              }
            },
            "vouch": {
              "given": {
                "amountWeiTotal": 1,
                "count": 1
              },
              "received": {
                "amountWeiTotal": 1,
                "count": 1
              }
            },
            "vouchTotals": [
              {
                "balance": {
                  "given": 1,
                  "received": 1
                },
                "count": {
                  "given": 1,
                  "received": 1
                },
                "token": {
                  "address": "text",
                  "decimals": 1,
                  "id": "text"
                }
              }
            ]
          }
        }
      ],
      "total": 1,
      "uniqueVoters": 1
    },
    "bearish": {
      "topVoters": [
        {
          "id": 1,
          "profileId": 1,
          "displayName": "text",
          "username": "text",
          "avatarUrl": "https://example.com",
          "description": "text",
          "score": 1,
          "status": "ACTIVE",
          "userkeys": [
            "text"
          ],
          "xpTotal": 1,
          "xpStreakDays": 1,
          "xpRemovedDueToAbuse": true,
          "influenceFactor": 1,
          "influenceFactorPercentile": 1,
          "humanVerificationStatus": "REQUESTED",
          "validatorNftCount": 1,
          "links": {
            "profile": "https://example.com",
            "scoreBreakdown": "https://example.com"
          },
          "stats": {
            "review": {
              "received": {
                "negative": 1,
                "neutral": 1,
                "positive": 1
              }
            },
            "vouch": {
              "given": {
                "amountWeiTotal": 1,
                "count": 1
              },
              "received": {
                "amountWeiTotal": 1,
                "count": 1
              }
            },
            "vouchTotals": [
              {
                "balance": {
                  "given": 1,
                  "received": 1
                },
                "count": {
                  "given": 1,
                  "received": 1
                },
                "token": {
                  "address": "text",
                  "decimals": 1,
                  "id": "text"
                }
              }
            ]
          }
        }
      ],
      "total": 1,
      "uniqueVoters": 1
    },
    "all": {
      "total": 1,
      "uniqueVoters": 1
    },
    "lifetime": {
      "bullish": {
        "topVoters": [
          {
            "id": 1,
            "profileId": 1,
            "displayName": "text",
            "username": "text",
            "avatarUrl": "https://example.com",
            "description": "text",
            "score": 1,
            "status": "ACTIVE",
            "userkeys": [
              "text"
            ],
            "xpTotal": 1,
            "xpStreakDays": 1,
            "xpRemovedDueToAbuse": true,
            "influenceFactor": 1,
            "influenceFactorPercentile": 1,
            "humanVerificationStatus": "REQUESTED",
            "validatorNftCount": 1,
            "links": {
              "profile": "https://example.com",
              "scoreBreakdown": "https://example.com"
            },
            "stats": {
              "review": {
                "received": {
                  "negative": 1,
                  "neutral": 1,
                  "positive": 1
                }
              },
              "vouch": {
                "given": {
                  "amountWeiTotal": 1,
                  "count": 1
                },
                "received": {
                  "amountWeiTotal": 1,
                  "count": 1
                }
              },
              "vouchTotals": [
                {
                  "balance": {
                    "given": 1,
                    "received": 1
                  },
                  "count": {
                    "given": 1,
                    "received": 1
                  },
                  "token": {
                    "address": "text",
                    "decimals": 1,
                    "id": "text"
                  }
                }
              ]
            }
          }
        ],
        "total": 1
      },
      "bearish": {
        "topVoters": [
          {
            "id": 1,
            "profileId": 1,
            "displayName": "text",
            "username": "text",
            "avatarUrl": "https://example.com",
            "description": "text",
            "score": 1,
            "status": "ACTIVE",
            "userkeys": [
              "text"
            ],
            "xpTotal": 1,
            "xpStreakDays": 1,
            "xpRemovedDueToAbuse": true,
            "influenceFactor": 1,
            "influenceFactorPercentile": 1,
            "humanVerificationStatus": "REQUESTED",
            "validatorNftCount": 1,
            "links": {
              "profile": "https://example.com",
              "scoreBreakdown": "https://example.com"
            },
            "stats": {
              "review": {
                "received": {
                  "negative": 1,
                  "neutral": 1,
                  "positive": 1
                }
              },
              "vouch": {
                "given": {
                  "amountWeiTotal": 1,
                  "count": 1
                },
                "received": {
                  "amountWeiTotal": 1,
                  "count": 1
                }
              },
              "vouchTotals": [
                {
                  "balance": {
                    "given": 1,
                    "received": 1
                  },
                  "count": {
                    "given": 1,
                    "received": 1
                  },
                  "token": {
                    "address": "text",
                    "decimals": 1,
                    "id": "text"
                  }
                }
              ]
            }
          }
        ],
        "total": 1
      }
    },
    "currentPeriod": {
      "bullish": {
        "total": 1
      },
      "bearish": {
        "total": 1
      }
    }
  },
  "currentUsersVotes": {
    "balance": {
      "bullishVotesCast": 1,
      "bearishVotesCast": 1,
      "allocationResetDate": "text",
      "canVote": true
    },
    "userVote": {
      "voteType": "BULLISH"
    }
  },
  "team": [
    {
      "id": 1,
      "profileId": 1,
      "displayName": "text",
      "username": "text",
      "avatarUrl": "https://example.com",
      "description": "text",
      "score": 1,
      "status": "ACTIVE",
      "userkeys": [
        "text"
      ],
      "xpTotal": 1,
      "xpStreakDays": 1,
      "xpRemovedDueToAbuse": true,
      "influenceFactor": 1,
      "influenceFactorPercentile": 1,
      "humanVerificationStatus": "REQUESTED",
      "validatorNftCount": 1,
      "links": {
        "profile": "https://example.com",
        "scoreBreakdown": "https://example.com"
      },
      "stats": {
        "review": {
          "received": {
            "negative": 1,
            "neutral": 1,
            "positive": 1
          }
        },
        "vouch": {
          "given": {
            "amountWeiTotal": 1,
            "count": 1
          },
          "received": {
            "amountWeiTotal": 1,
            "count": 1
          }
        },
        "vouchTotals": [
          {
            "balance": {
              "given": 1,
              "received": 1
            },
            "count": {
              "given": 1,
              "received": 1
            },
            "token": {
              "address": "text",
              "decimals": 1,
              "id": "text"
            }
          }
        ]
      }
    }
  ]
}
get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Query parameters
excludeUnverifiedbooleanOptional
limitinteger · min: -9007199254740991 · max: 100OptionalDefault: 10
Responses
200

Successful response

application/json
valuesone of[]Required
or
or
get/internal/trending-users
GET /api/v2/internal/trending-users HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "values": [
    {
      "source": "review",
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "text"
              }
            }
          ]
        }
      },
      "stats": {
        "reviews": {
          "received": 1,
          "positiveReviewPercentage": 1,
          "positiveReviewCount": 1,
          "negativeReviewCount": 1,
          "neutralReviewCount": 1
        },
        "vouches": {
          "given": {
            "amountWeiTotal": 1,
            "count": 1
          },
          "received": {
            "amountWeiTotal": 1,
            "count": 1
          }
        }
      }
    }
  ]
}
get

⚠️ Warning: This is an internal endpoint. It is not guaranteed to be stable and may change or break without notice.

Responses
200

Successful response

application/json
topVouchesobject[]Required
get/internal/trending-news
GET /api/v2/internal/trending-news HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "topVouches": [
    {}
  ],
  "topContributors": [
    {
      "id": 1,
      "profileId": 1,
      "displayName": "text",
      "username": "text",
      "avatarUrl": "https://example.com",
      "description": "text",
      "score": 1,
      "status": "ACTIVE",
      "userkeys": [
        "text"
      ],
      "xpTotal": 1,
      "xpStreakDays": 1,
      "xpRemovedDueToAbuse": true,
      "influenceFactor": 1,
      "influenceFactorPercentile": 1,
      "humanVerificationStatus": "REQUESTED",
      "validatorNftCount": 1,
      "links": {
        "profile": "https://example.com",
        "scoreBreakdown": "https://example.com"
      },
      "stats": {
        "review": {
          "received": {
            "negative": 1,
            "neutral": 1,
            "positive": 1
          }
        },
        "vouch": {
          "given": {
            "amountWeiTotal": 1,
            "count": 1
          },
          "received": {
            "amountWeiTotal": 1,
            "count": 1
          }
        },
        "vouchTotals": [
          {
            "balance": {
              "given": 1,
              "received": 1
            },
            "count": {
              "given": 1,
              "received": 1
            },
            "token": {
              "address": "text",
              "decimals": 1,
              "id": "text"
            }
          }
        ]
      },
      "points": 1
    }
  ],
  "weeklyEpochWinner": {
    "validator": {
      "tokenId": "text",
      "name": "text",
      "imageUrl": "text"
    },
    "owner": {
      "id": 1,
      "profileId": 1,
      "displayName": "text",
      "username": "text",
      "avatarUrl": "https://example.com",
      "description": "text",
      "score": 1,
      "status": "ACTIVE",
      "userkeys": [
        "text"
      ],
      "xpTotal": 1,
      "xpStreakDays": 1,
      "xpRemovedDueToAbuse": true,
      "influenceFactor": 1,
      "influenceFactorPercentile": 1,
      "humanVerificationStatus": "REQUESTED",
      "validatorNftCount": 1,
      "links": {
        "profile": "https://example.com",
        "scoreBreakdown": "https://example.com"
      },
      "stats": {
        "review": {
          "received": {
            "negative": 1,
            "neutral": 1,
            "positive": 1
          }
        },
        "vouch": {
          "given": {
            "amountWeiTotal": 1,
            "count": 1
          },
          "received": {
            "amountWeiTotal": 1,
            "count": 1
          }
        },
        "vouchTotals": [
          {
            "balance": {
              "given": 1,
              "received": 1
            },
            "count": {
              "given": 1,
              "received": 1
            },
            "token": {
              "address": "text",
              "decimals": 1,
              "id": "text"
            }
          }
        ]
      }
    },
    "ownerXpAward": 1,
    "delegatorCount": 1,
    "delegatorsXpAward": 1
  },
  "topSentimentMovers": [
    {
      "id": 1,
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "text"
              }
            }
          ]
        }
      },
      "sentimentChange": 1
    }
  ]
}

Last updated